Find Custom Scrub Rates (Advanced)
curl --request POST \
--url https://api.eflow.team/v1/networks/custom/scrubratetable \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"filters": {
"network_offer_id": {
"values": [
100
],
"comparison": "is"
}
},
"sort": {
"field": "time_created",
"direction": "desc"
}
}
'import requests
url = "https://api.eflow.team/v1/networks/custom/scrubratetable"
payload = {
"filters": { "network_offer_id": {
"values": [100],
"comparison": "is"
} },
"sort": {
"field": "time_created",
"direction": "desc"
}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {network_offer_id: {values: [100], comparison: 'is'}},
sort: {field: 'time_created', direction: 'desc'}
})
};
fetch('https://api.eflow.team/v1/networks/custom/scrubratetable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_scrub_rate_settings": [
{
"network_custom_scrub_rate_setting_id": 123,
"network_id": 123,
"network_affiliate_id": 123,
"network_offer_id": 123,
"name": "<string>",
"scrub_rate_percentage": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"affiliate": {
"network_affiliate_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>"
},
"offer": {
"network_offer_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"network_offer_group_id": 123,
"name": "<string>",
"offer_status": "<string>",
"network_tracking_domain_id": 123,
"visibility": "<string>",
"currency_id": "<string>"
},
"ruleset": {}
}
}
],
"paging": {
"page": 123,
"page_size": 123,
"total_count": 123
}
}Custom Scrub Rates (Throttle)
Find Custom Scrub Rates (Advanced)
POST
/
networks
/
custom
/
scrubratetable
Find Custom Scrub Rates (Advanced)
Retrieve a paginated list of custom scrub rate (throttle) settings. Supports search filters, sorting, and pagination to help you find and browse scrub rate configurations programmatically. Note that this endpoint does not return every detail of each setting. For example, it will not return the specific variables associated with a setting. To get those, use the Get by ID endpoint.
Authorizations
The Everflow API key generated from the Control Center > Security.
Query Parameters
Page number (1-based).
Number of results per page.
Set to all to include relationship data (affiliate, offer, ruleset) in the response.
Available options:
all Body
application/json
Optional search terms used to look for specific words in setting names, offers, or affiliates.
Show child attributes
Show child attributes
Optional filters to narrow down the set of settings returned. They can be used individually or combined in a single request.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
